Subject: Re: bug#21214: symlinks cc -> gcc, lex -> flex etcetc

From: [email-masked] (Ludovic Courtès)
Date: Tue, 18 Aug 2015 21:19:43 +0200

Danny Milosavljevic <[email-masked]> skribis:

> Guix doesn't have "cc" (it does have "gcc"). It would be convenient if
> the former were available as a link.

So far we’ve resisted that, in part because that’s a choice for upstream
to make, not us (there have been several discussions on that topic, such
as <https://lists.gnu.org/archive/html/guix-devel/2015-01/msg00197.html>.)

In practice most software build systems will look for both ‘cc’ and
‘gcc’.  For those who don’t, it’s usually easy to specify an alternate
compiler name, for instance via ‘make’ flags (there are several examples
of that in the packages.)

If that’s fine with you, I’ll close this bug.

Thanks,
Ludo’.